Make storage inspector more accessible
Clicking (just once) on a cell should select it, and the selection should be visual, a focus ring should be drawn, see bug 

Pressing enter on a selected cell should also trigger the edit mode.
